QFtp(3qt)

NAME
QFtp - Implements the FTP protocol

#include <qftp.h>

Inherits QNetworkProtocol.

  Public Members
QFtp ()
virtual ~QFtp ()

  Protected Members
void parseDir ( const QString & buffer, QUrlInfo & info )

  Protected Slots
void hostFound () (internal)
void connected () (internal)
void closed () (internal)
void readyRead ()
void dataHostFound () (internal)
void dataConnected ()
void dataClosed ()
void dataReadyRead ()
void dataBytesWritten ( int nbytes )

DESCRIPTION
The QFtp class implements the FTP protocol

The QFtp class implements the FTP protocol. This class is derived from QNetworkProtocol and can be used with QUrlOperator. In fact, you normally will not use the QFtp class directly, but rather use it through the QUrlOperator like

  QUrlOperator op( "ftp://ftp.trolltech.com" );
  op.listChildren();

If you really need to use QFtp directly, don't forget to set the QUrlOperator on which it works using setUrl().

See also the Qt Network Documentation

See also QNetworkProtocol and QUrlOperator.

MEMBER FUNCTION DOCUMENTATION

QFtp::QFtp ()
Constructs a QFtp object.

QFtp::~QFtp () [virtual]
Destructor.

void QFtp::dataBytesWritten ( int nbytes ) [protected slot]
This method is called, when nbytes have been successfully written to the data socket.

void QFtp::dataClosed () [protected slot]
Called when the data connection has been closed.

void QFtp::dataConnected () [protected slot]
Some operations require a data connection to the server. If this connection could be opened, this method handles the rest.

void QFtp::dataReadyRead () [protected slot]
This method is called when new data arrived on the data socket.

void QFtp::error ( int code ) [protected slot]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationGet ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationListChildren ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationMkDir ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationPut ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationRemove ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::operationRename ( QNetworkOperation * op ) [virtual protected]
Reimplemented for internal reasons; the API is not affected.

void QFtp::parseDir ( const QString & buffer, QUrlInfo & info ) [protected]
Parses buffer, which is one line of a directory list which came from the FTP server, and sets the values which have been parsed to info.

void QFtp::readyRead () [protected slot]
If data arrived on the command socket, this slot is called. It looks at the data and passes it to the correct method which can handle it.

int QFtp::supportedOperations () const [virtual]
Reimplemented for internal reasons; the API is not affected.

void QFtp::closed () [protected slot]
For internal use only.

void QFtp::connected () [protected slot]
For internal use only.

void QFtp::dataHostFound () [protected slot]
For internal use only.

void QFtp::hostFound () [protected slot]
For internal use only.

SEE ALSO
http://doc.trolltech.com/qftp.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qftp.3qt) and the Qt version (2.3.1).